List Notes
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/{entityType}/{entityId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"entityId": "550e8400-e29b-41d4-a716-446655440001",
"entityType": "insureds",
"text": "Verified coverage details with insured.",
"author": {
"id": "550e8400-e29b-41d4-a716-446655440010",
"name": "John Smith",
"email": "john@example.com"
},
"authorName": "John Smith",
"isPrivileged": false,
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": null
},
{
"id": "550e8400-e29b-41d4-a716-446655440004",
"entityId": "550e8400-e29b-41d4-a716-446655440001",
"entityType": "insureds",
"text": "Historical note from legacy system.",
"author": null,
"authorName": "Jane Doe (External)",
"isPrivileged": false,
"createdAt": "2024-06-01T14:00:00.000Z",
"updatedAt": null
}
],
"totalCount": 2
}Notes
List Notes
Returns a paginated list of notes for a specific entity.
Required permission: Permission depends on entity type:
events→claim.notes:readpolicies→policy.notes:readinsureds→insured.notes:read
Privileged notes: Notes marked as privileged are automatically filtered out unless the API key has privileged_notes:read permission.
GET
/
api
/
external
/
companies
/
{companyId}
/
{entityType}
/
{entityId}
/
notes
List Notes
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
The type of entity (events, policies, or insureds) The type of entity the note is attached to
Available options:
events, policies, insureds The ID of the entity
Query Parameters
Page number (1-based, default 1, page size 50)
Required range:
x >= 1Field to sort by (default createdAt)
Available options:
createdAt, updatedAt Sort direction (default desc)
Available options:
asc, desc Was this page helpful?
